def create_task_definition = params?.create_task_definition

owGitSource{
    repositoryUrl='https://gitlab.com/orangewall/dealership-microservice/reports-api.git'
    devBranch='dev'
    releaseBranch='master'
}

//Make environment to come from a dropdown
owCicdPipeline('dev'){

    owBuildMaven{
        microservice='dealership-ms'
    }

    owDeployApi{
        createTaskDefinition=create_task_definition
        albPath="/api/dealership/*"
        helthCheckPath="/api/dealership/health"
    }
}
